Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class AnnotationAccessImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.AnnotationAccessImpl

All Implemented Interfaces:
  AnnotationAccess

    public class AnnotationAccessImpl

extends java.lang.Object
implements AnnotationAccess

Standard AnnotationAccess for a specific type.

Since:
  5.3

Constructor Summary
`AnnotationAccessImpl(java.lang.Class type)`

Method Summary
`AnnotationProvider` | `getClassAnnotationProvider()` Returns a provider for annotations on the service class and interface.
`AnnotationProvider` | `getMethodAnnotationProvider(java.lang.String methodName, java.lang.Class... parameterTypes)` Returns a provider for annotations of a method of the class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationAccessImpl

    public AnnotationAccessImpl(java.lang.Class type)

Method Detail

### getClassAnnotationProvider

    public AnnotationProvider getClassAnnotationProvider()

  Description copied from interface: `AnnotationAccess`
  Returns a provider for annotations on the service class and interface. This will reflect annotations defined by the implementation class itself, plus annotations defined by the service interface (implementation class annotations take precedence).

  Specified by:
    `getClassAnnotationProvider` in interface `AnnotationAccess`

### getMethodAnnotationProvider

    public AnnotationProvider getMethodAnnotationProvider(java.lang.String methodName,
                                                          java.lang.Class... parameterTypes)

  Description copied from interface: `AnnotationAccess`
  Returns a provider for annotations of a method of the class. This includes annotations on the implementation method, plus annotations on the corresponding service interface method (if such a method exists), with precedence on the implementation class method annotations.

  Specified by:
    `getMethodAnnotationProvider` in interface `AnnotationAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.